
TYPO3.Welcome - Task # 31284

Status: Resolved Priority: Should have
Author: Karsten Vieth Category:
Created: 2011-10-25 Assigned To: Bastian Waidelich
Updated: 2011-11-16 Due date:
Subject: add notice remove routes on deactivate welcome package
Description

Point 4:
Remove the Welcome package (optional)
./flow3 package:deactivate TYPO3.Welcome

please add
Remove welcome routes from Configuration/Routes.yaml

Associated revisions
Revision 1a775b9d - 2011-11-16 12:24 - Bastian Waidelich

[TASK] Add hint to remove SubRoute definition after deactivating package

When a SubRoute definition refers to a non-existing or disabled
package an exception is thrown, which confused some followers of
the mini tutorial of the Welcome screen.

This change adds a notice to remove the SubRoute definition
after deactivating the Welcome package.

Besides this renames "Remove the Welcome package ..." to
"Disable the Welcome package ...".

Note: Some infos have been added to the exception wiki page at
http://wiki.typo3.org/wiki/Exception1318414040

Change-Id: I9aa72110ecec357e015754202352b45e9f8fd0c6
Resolves: #31284
Releases: 1.0, 1.1

Revision 5360a380 - 2011-11-16 12:28 - Bastian Waidelich

[TASK] Add hint to remove SubRoute definition after deactivating package

When a SubRoute definition refers to a non-existing or disabled
package an exception is thrown, which confused some followers of
the mini tutorial of the Welcome screen.

This change adds a notice to remove the SubRoute definition
after deactivating the Welcome package.

Besides this renames "Remove the Welcome package ..." to
"Disable the Welcome package ...".

Note: Some infos have been added to the exception wiki page at
http://wiki.typo3.org/wiki/Exception1318414040

Change-Id: Ifc851f3208eaf3a751747ad678a624b5586b92d7
Resolves: #31284
Releases: 1.0, 1.1

History
#1 - 2011-11-14 11:44 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2011-11-14 13:05 - Mr. Hudson

Patch set 1 of change I9aa72110ecec357e015754202352b45e9f8fd0c6 has been pushed to the review server.
It is available at http://review.typo3.org/6661

#3 - 2011-11-15 09:29 - Bastian Waidelich
- Status changed from Accepted to Under Review
- Target version set to 1.0.1

#4 - 2011-11-16 12:24 - Mr. Hudson

Patch set 2 of change I9aa72110ecec357e015754202352b45e9f8fd0c6 has been pushed to the review server.
It is available at http://review.typo3.org/6661

#5 - 2011-11-16 12:31 - Mr. Hudson

Patch set 1 of change Ifc851f3208eaf3a751747ad678a624b5586b92d7 has been pushed to the review server.
It is available at http://review.typo3.org/6690

#6 - 2011-11-16 12:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1a775b9deac2726a72d1217f3f88b242ed0e7934.

2015-08-03 2/2

http://wiki.typo3.org/wiki/Exception1318414040
http://review.typo3.org/6661
http://review.typo3.org/6661
http://review.typo3.org/6690

